Bug 18534 - When IndependentBranches is enabled the pickup location displayed incorrectly on request.pl
Summary: When IndependentBranches is enabled the pickup location displayed incorrectly...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 15758
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-03 19:23 UTC by Nick Clemens
Modified: 2017-05-24 01:36 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18534 - When IndependentBranches is enabled the pickup location displayed incorrectly on request.pl (2.05 KB, patch)
2017-05-03 19:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18534 - When IndependentBranches is enabled the pickup location displayed incorrectly on request.pl (2.11 KB, patch)
2017-05-08 22:33 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 18534 - When IndependentBranches is enabled the pickup location displayed incorrectly on request.pl (2.21 KB, patch)
2017-05-19 08:45 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-05-03 19:23:41 UTC
The pickup location pulldown is populated with only the users branch when IndependentBranches is enabled - if the actual pickup location is a different library you instead see the current library

To recreate:
1 - Place a hold for pickup at Midway
2 - Enable independentbranches
3 - Login to staff interface as admin without superlibrarian status from a different branch
4 - View the holds for the title you placed a hold on
5 - The hold placed in step 1 should show a dropdown with current branch as pickup location, current branch is the only in that dropdown
6 - Verify it displays correctly for superlibrarian
Comment 1 Nick Clemens 2017-05-03 19:24:29 UTC
Created attachment 63043 [details] [review]
Bug 18534 - When IndependentBranches is enabled the pickup location displayed incorrectly on request.pl

To recreate:
1 - Place a hold for pickup at Midway
2 - Enable independentbranches
3 - Login to staff interface as admin without superlibrarian status from
a different branch
4 - View the holds for the title you placed a hold on
5 - The hold placed in step 1 should show a dropdown with current branch
as pickup location, current branch is the only in that dropdown
6 - Verify it displays correctly for superlibrarian
7 - Apply patch
8 - The correct pickup location should show and not be editable
9 - Verify it is a dropdown
Comment 2 Alex Buckley 2017-05-08 22:33:21 UTC
Created attachment 63260 [details] [review]
Bug 18534 - When IndependentBranches is enabled the pickup location displayed incorrectly on request.pl

To recreate:
1 - Place a hold for pickup at Midway
2 - Enable independentbranches
3 - Login to staff interface as admin without superlibrarian status from
a different branch
4 - View the holds for the title you placed a hold on
5 - The hold placed in step 1 should show a dropdown with current branch
as pickup location, current branch is the only in that dropdown
6 - Verify it displays correctly for superlibrarian
7 - Apply patch
8 - The correct pickup location should show and not be editable
9 - Verify it is a dropdown

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 3 Marcel de Rooy 2017-05-19 08:24:15 UTC
QA: Looking here now
Comment 4 Marcel de Rooy 2017-05-19 08:45:43 UTC
Created attachment 63572 [details] [review]
Bug 18534 - When IndependentBranches is enabled the pickup location displayed incorrectly on request.pl

To recreate:
1 - Place a hold for pickup at Midway
2 - Enable independentbranches
3 - Login to staff interface as admin without superlibrarian status from
a different branch
4 - View the holds for the title you placed a hold on
5 - The hold placed in step 1 should show a dropdown with current branch
as pickup location, current branch is the only in that dropdown
6 - Verify it displays correctly for superlibrarian
7 - Apply patch
8 - The correct pickup location should show and not be editable
9 - Verify it is a dropdown

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Kyle M Hall 2017-05-19 14:33:48 UTC
Pushed to master for 17.05, thanks Nick!
Comment 6 Katrin Fischer 2017-05-21 21:19:51 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 7 Mason James 2017-05-24 01:36:16 UTC
Blocked by Enhancement, skipping for 16.05.x